﻿using System;
using System.Security;

namespace de.mhoapps.DropToZip.Model
{
    [Serializable]
    public class Settings : ApplicationSettings<Settings>
    {
        
        public string DefaultZipContainerName { get; set; }

        public string DefaultZipContainerPath { get; set; }

        public int ZipCounter { get; set; }

        public Settings()
        {
            DefaultZipContainerName = "DropToZip";
            DefaultZipContainerPath = Environment.GetFolderPath(Environment.SpecialFolder.DesktopDirectory);
        }

    }
}
