﻿using System;
using System.Globalization;
using System.Windows.Media.Imaging;

namespace de.mhoapps.DropToZip.View
{
    /// <summary>
    /// Ein Konverter, der einen String aufnimmt und in ein BitMap Image umwandelt
    /// </summary>
    public class StringToImageConverter : ValueConverterBase<StringToImageConverter>
    {
        public override object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return new BitmapImage(new Uri($"{AppDomain.CurrentDomain.BaseDirectory}/Images/{value}.png"));
        }

        public override object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
