﻿using System.Windows;
using System.Windows.Controls;

namespace de.mhoapps.DropToZip.View
{
    /// <summary>
    /// Das Ansichtsmodell für das benutzerdefinierte flache Fenster
    /// </ summary>
    public class DialogWindowViewModel : WindowViewModel
    {
        #region Public Properties

        /// <summary>
        /// der Titel für das Dialog Fenster
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// der Inhalt für das Dialog Fenster
        /// </summary>
        public Control Content { get; set; }


        #endregion


        #region Constructor
        /// <summary>
        /// default constructor
        /// </summary>
        public DialogWindowViewModel(Window window) : base(window)
        {
            WindowMinimumWidth = 250;
            WindowMinimumHeight = 100;
            Title = "test";
            TitleHeight = 30;
        }
        #endregion
    }
}
