﻿using System;
using System.ComponentModel;

namespace de.mhoapps.DropToZip.ViewModel
{
    /// <summary>
    /// Interface für alle ViewModels
    /// </summary>
    public interface IViewModel : INotifyPropertyChanged, IDataErrorInfo, IDisposable
    { }

    public interface IViewModel<TModel> : IViewModel
    {
        [Browsable(false)]
        [Bindable(false)]
        TModel Model { get; set; }
    }
}
