﻿namespace de.mhoapps.DropToZip.ViewModel
{
    /// <summary>
    ///  ViewModel für eine MessageBox
    /// </summary>
    public class DialogMessageBoxViewModel : DialogViewModelBase
    {
        #region Public Properties
        /// <summary>
        /// die Nachricht zum Anzeigen
        /// </summary>
        public string Message { get; set; }

        /// <summary>
        /// der Text für den OK Button
        /// </summary>
        public string OkText { get; set; } = "OK";
        #endregion

        #region Constructor
        /// <summary>
        /// default constructor
        /// </summary>
        public DialogMessageBoxViewModel()
        {
            if (IsInDesignMode)
            {
                Message = "Design time message";
            }
        }
        #endregion
    }
}
