﻿using System.Threading.Tasks;

namespace de.mhoapps.DropToZip.ViewModel
{
    /// <summary>
    /// Interface für alle Benutzeroberflächeninteraktionen in der Anwendung
    /// </ summary>
    public interface IUIManager
    {
        /// <summary>
        /// zeigt eine benutzerdefinierte Messagebox an
        /// </summary>
        /// <param name="viewModel"> das dazugehörige ViewModel</param>
        /// <returns></returns>
        Task ShowMessage(DialogMessageBoxViewModel viewModel);

        Task ShowFolderBrowser(DialogFolderBrowserViewModel viewModel);

        /// <summary>
        /// zeigt den benutzerdefinierten Settings Dialog an
        /// </summary>
        /// <param name="viewModel"></param>
        /// <returns></returns>
        //Task ShowSettings(SettingsBoxDialogViewModel viewModel);

    }
}
