﻿using System.Windows;

namespace de.mhoapps.DropToZip.View
{
    /// <summary>
    /// Interaktionslogik für DialogWindow.xaml
    /// </summary>
    public partial class DialogWindow : Window
    {
        #region Private Properties

        private DialogWindowViewModel _viewModel;

        #endregion

        #region Public Properties

        public DialogWindowViewModel ViewModel
        {
            get => _viewModel;
            set
            {
                _viewModel = value;
                DataContext = _viewModel;
            }
        }
        #endregion
        public DialogWindow()
        {
            InitializeComponent();
        }
    }
}
